<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net5.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<UseWPF>true</UseWPF>
		<ApplicationIcon>icons8-doctors-bag.ico</ApplicationIcon>
		<Company>北京瑞达恒科技有限公司</Company>
		<Product>电子药箱ServerUI</Product>
		<Version>1.0.1</Version>
		<Authors>rdh</Authors>
	</PropertyGroup>

	<ItemGroup>
	  <None Remove="sync.config" />
	</ItemGroup>

	<ItemGroup>
	  <Content Include="logo.ico" />
	  <Content Include="sync.config">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.17" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.17">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.1" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="6.0.0" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
		<PackageReference Include="Microsoft.Extensions.Http" Version="6.0.0" />
		<PackageReference Include="Microsoft.Extensions.Logging" Version="6.0.0" />
		<PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="6.0.0" />
		<PackageReference Include="Prism.Unity" Version="8.1.97" />
		<PackageReference Include="PropertyChanged.Fody" Version="4.0.*" />
		<PackageReference Include="Serilog" Version="2.11.0" />
		<PackageReference Include="Serilog.Extensions.Logging" Version="3.1.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="4.0.1" />
		<PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
		<PackageReference Include="System.Text.Encoding.CodePages" Version="7.0.0" />
		<PackageReference Include="TouchSocket.AspNetCore" Version="0.7.2" />
		<PackageReference Include="Unity.Microsoft.DependencyInjection" Version="5.11.5" />
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
		<PackageReference Include="Serilog.AspNetCore" Version="6.0.1" />
		<PackageReference Include="Serilog.Sinks.Async" Version="1.5.0" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\RabbitMQ\RDH.PharmacyPlatform.Sync.Core.csproj" />
	  <ProjectReference Include="..\RDH.Data.Interfaces\RDH.Data.Interfaces.csproj" />
	  <ProjectReference Include="..\RDH.Data.Models\RDH.Data.Models.csproj" />
	  <ProjectReference Include="..\RDH.Data\RDH.Data.csproj" />
	  <ProjectReference Include="..\Rdh.ElectronicMedicineKit\Rdh.ElectronicMedicineKit.csproj" />
	</ItemGroup>

	<ItemGroup>
		<None Update="appsettings.json">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</None>
	</ItemGroup>
</Project>
